Calculate Return Refund Amount

Calculate the expected refund amount for a return request.

Required fields:

  • order_id
  • return_line_items

A successful request returns the expected refund amounts for the return request.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Scope

erc-ecommerce-return:read

Body Params

Return calculation request containing order details, return items, and optional exchange items.

The return calculate request body.

string
required
length between 1 and 255

The order ID.

string
length between 1 and 255

The brand identifier for calculating the expected return refund amount. If the account is multi-brand, this parameter is required.

return_line_items
array of objects
required
length ≥ 1

The line items to be returned.

return_line_items*
string
required
length between 1 and 255

The ID of the item from the Get Order Items API.

string
length between 1 and 255

The ID of the order delivery from the Get Order Items API.

integer
required
1 to 100000
Defaults to 1

The quantity to return, which must be positive.

integer
1 to 99

The restocking fee percentage, which must be between 1 and 99.

exchange_line_items
array of objects

The line items to be exchanged, used to calculate the exchange amounts. When the store uses AfterShip for returns, the exchange items are ignored and only the returned items are calculated.

exchange_line_items
number
> 0

The return shipping fee.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json